import 'package:flutter/material.dart';
import 'my_font_size.dart';

class MyFont {
  static final TextStyle _baseRegularFont = TextStyle(
    fontFamily: 'Prompt-Regular',
    fontSize: MyFontSize.size14,
    color: const Color(0xFF121212),
    height: 1.2,
  );

  static final TextStyle _baseMediumFont = _baseRegularFont.copyWith(
    fontFamily: 'Prompt-Medium',
    fontWeight: FontWeight.w500,
  );

  static final TextStyle _baseSemiBoldFont = _baseRegularFont.copyWith(
    fontFamily: 'Prompt-SemiBold',
    fontWeight: FontWeight.w600,
  );

  static final TextStyle _baseBoldFont = _baseRegularFont.copyWith(
    fontFamily: 'Prompt-Bold',
    fontWeight: FontWeight.w700,
  );

  static final regular6 = _baseRegularFont.copyWith(fontSize: MyFontSize.size6);
  static final regular10 =
      _baseRegularFont.copyWith(fontSize: MyFontSize.size10);
  static final regular12 =
      _baseRegularFont.copyWith(fontSize: MyFontSize.size12);
  static final regular14 = _baseRegularFont;
  static final regular16 =
      _baseRegularFont.copyWith(fontSize: MyFontSize.size16);
  static final regular18 =
      _baseRegularFont.copyWith(fontSize: MyFontSize.size18);
  static final regular20 =
      _baseRegularFont.copyWith(fontSize: MyFontSize.size20);
  static final regular24 =
      _baseRegularFont.copyWith(fontSize: MyFontSize.size24);
  static final regular30 =
      _baseRegularFont.copyWith(fontSize: MyFontSize.size30);

  //medium
  static final medium12 = _baseMediumFont.copyWith(fontSize: MyFontSize.size12);
  static final medium14 = _baseMediumFont.copyWith(fontSize: MyFontSize.size14);
  static final medium16 = _baseMediumFont.copyWith(fontSize: MyFontSize.size16);
  static final medium18 = _baseMediumFont.copyWith(fontSize: MyFontSize.size18);
  static final medium20 = _baseMediumFont.copyWith(fontSize: MyFontSize.size20);
  static final medium24 = _baseMediumFont.copyWith(fontSize: MyFontSize.size24);
  static final medium28 = _baseMediumFont.copyWith(fontSize: MyFontSize.size28);
  static final medium30 = _baseMediumFont.copyWith(fontSize: MyFontSize.size30);
  static final medium34 = _baseMediumFont.copyWith(fontSize: MyFontSize.size34);
  static final medium50 = _baseMediumFont.copyWith(fontSize: MyFontSize.size50);

  //semi-bold
  static final semiBold12 =
      _baseSemiBoldFont.copyWith(fontSize: MyFontSize.size12);
  static final semiBold14 =
      _baseSemiBoldFont.copyWith(fontSize: MyFontSize.size14);
  static final semiBold16 =
      _baseSemiBoldFont.copyWith(fontSize: MyFontSize.size16);
  static final semiBold18 =
      _baseSemiBoldFont.copyWith(fontSize: MyFontSize.size18);
  static final semiBold20 =
      _baseSemiBoldFont.copyWith(fontSize: MyFontSize.size20);
  static final semiBold24 =
      _baseSemiBoldFont.copyWith(fontSize: MyFontSize.size24);
  static final semiBold28 =
      _baseSemiBoldFont.copyWith(fontSize: MyFontSize.size28);
  static final semiBold30 =
      _baseSemiBoldFont.copyWith(fontSize: MyFontSize.size30);
  static final semiBold32 =
      _baseSemiBoldFont.copyWith(fontSize: MyFontSize.size32);
  static final semiBold40 =
      _baseSemiBoldFont.copyWith(fontSize: MyFontSize.size40);

  //bold
  static final bold12 = _baseBoldFont.copyWith(fontSize: MyFontSize.size12);
  static final bold14 = _baseBoldFont.copyWith(fontSize: MyFontSize.size14);
  static final bold16 = _baseBoldFont.copyWith(
    fontSize: MyFontSize.size16,
  );
  static final bold18 = _baseBoldFont.copyWith(fontSize: MyFontSize.size18);
  static final bold20 = _baseBoldFont.copyWith(fontSize: MyFontSize.size20);
  static final bold30 = _baseBoldFont.copyWith(fontSize: MyFontSize.size30);
}
